#include "TestFramework.h"
#include "TestUtils.h"
#include "TestRenderUtils.h"

#include "ThemeManager.h"
#include "PaintEvent.h"

#include "Button.h"

TEST_CASE(TestButton_Elevated, "ui_controls")
{
	auto theme_manager = std::make_unique<ThemeManager>();

	auto paint_event = PaintEvent::Create(theme_manager.get(), nullptr);

	Button button(ButtonData::Component::Elevated);
	button.setLabel("Enabled");

	button.onPaintEvent(paint_event.get());

	auto node = button.getRootNode();

	TestRenderer renderer;
	renderer.getScene()->addNode(node);

	renderer.writeSvg(TestUtils::getTestOutputDir(__FILE__) / "Elevated_Enabled.svg");
	renderer.write(TestUtils::getTestOutputDir(__FILE__) / "Elevated_Enabled.png");

};
